@keyframes stretchdelay {
  0%,
  40%,
  to {
    -webkit-transform: scaleY(0.4);
  }

  20% {
    -webkit-transform: scaleY(1);
  }
}

@keyframes stretchdelay {
  0%,
  40%,
  to {
    -webkit-transform: scaleY(0.4);
    transform: scaleY(0.4);
  }

  20% {
    -webkit-transform: scaleY(1);
    transform: scaleY(1);
  }
}

@keyframes fadenum {
  0% {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

html,
body,
p,
ul,
li,
h1 {
  font-weight: initial;
}

ul {
  list-style: none;
}

html {
  box-sizing: border-box;
}

* {
  box-sizing: inherit;
}

*:before,
*:after {
  box-sizing: inherit;
}

img {
  height: auto;
  max-width: 100%;
}

a {
  text-decoration: none;
}

a:link,
a:visited {
  color: #ffffff;
}

a:hover {
  color: #00fbff;
}

a:active {
  color: #0000ff;
}

#overlay {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
}

#background_video {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  object-fit: cover;
  height: 100%;
  width: 100%;
  z-index: -9999;
}

#video_cover {
  position: absolute;
  width: 100%;
  height: 100%;
  background: url("https://api.tomys.top/api/acgimg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.icp-links {
  display: none;
}

#video_controls {
  position: fixed;
  right: 20px;
  bottom: 20px;
  z-index: 999;
}

#mute {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  cursor: pointer;
  transition: all 0.3s ease;
}

#mute i {
  color: rgba(255, 255, 255, 0.8);
  font-size: 1.5em;
  transition: all 0.3s ease;
}

#mute:hover i {
  color: rgba(255, 255, 255, 1);
  transform: scale(1.1);
}

/* loading */
.loading {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  width: 100%;
  height: 100%;
  background-color: #000;
  opacity: 0.7;
  filter: alpha(opacity=70);
  -moz-opacity: 0.7;
  -khtml-opacity: 0.7;
}

.spinner {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -40px;
  margin-left: -30px;
  width: 50px;
  height: 60px;
  text-align: center;
  font-size: 10px;
}

.spinner > div {
  display: inline-block;
  width: 6px;
  height: 100%;
  background-color: #eee;
  -webkit-animation: stretchdelay 1.2s infinite ease-in-out;
  animation: stretchdelay 1.2s infinite ease-in-out;
}

.spinner .rect2 {
  -webkit-animation-delay: -1.1s;
  animation-delay: -1.1s;
}

.spinner .rect3 {
  -webkit-animation-delay: -1s;
  animation-delay: -1s;
}

.spinner .rect4 {
  -webkit-animation-delay: -0.9s;
  animation-delay: -0.9s;
}

.spinner .rect5 {
  -webkit-animation-delay: -0.8s;
  animation-delay: -0.8s;
}

/* Main */
body {
  -webkit-font-smoothing: antialiased;
  background-repeat: no-repeat;
  background-position: center;
  background-attachment: fixed;
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  margin: 0;
  padding: 0 1em;
}

.bak,
body {
  height: 100%;
  background-size: cover;
}

.bak {
  width: 100%;
  position: fixed;
  left: 0;
  top: 0;
}

main {
  position: relative;
}

main .content {
  display: flex;
  margin: 2em 1em;
  background: hsla(0, 0%, 100%, 0.8);
  text-align: center;
  border-radius: 5px;
  animation: content 0.5s 2.2s both;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
  overflow: hidden;
  width: 50em;
  height: 30em;
}

/* Left Box */
.left {
  width: 20%;
  background: rgba(0, 187, 255, 0.7);
  padding: 1em;
  display: flex;
  flex-direction: column;
}

.left .avatar img {
  border-radius: 100%;
  border: 5px solid #fff;
}

.left .menu {
  margin-top: 2em;
  flex: 1;
}

.left .menu li {
  margin-top: 1em;
}

.left .menu li a {
  color: #fff;
  cursor: pointer;
}

.left .menu li a.active {
  font-size: 1.3em;
}

.left .copyright {
  color: #fff;
  font-size: 9pt;
}

.left .copyright a {
  color: #fff;
}

/* Right Box */
.right {
  flex: 1;
  padding: 1em;
}

.right section {
  display: none;
}

.right section.active {
  display: block;
}

section {
  -webkit-animation: fadenum 0.5s;
  animation: fadenum 0.5s;
}

footer {
  display: inline-block;
  width: 100%;
  text-align: center;
  color: #fff;
}

footer #hitokoto {
  text-shadow: 2px 1px 2px #666;
}

/* Sections */
#contact .items {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

#contact h1 {
  font-size: 2em;
}

#contact h1,
#contact p {
  margin-top: 1em;
}

#contact .items a {
  color: rgba(81, 81, 81, 0.9);
  width: 30%;
  padding: 0.5em 0;
  border-radius: 1em;
  display: inline-block;
  transition: transform 0.3s;
}

#contact .items a i {
  font-size: 3em;
}

#contact .items a i,
#contact .items a span {
  display: block;
  margin-top: 1em;
}

#contact .items a:hover {
  transform: scale(1.1);
}

#archives h1 {
  margin-top: 1em;
  font-size: 2em;
}

#archives ul {
  margin-top: 2em;
}

#archives ul li {
  margin-bottom: 0.3em;
}

#archives a {
  color: #000;
  font-size: 1.1em;
}

#archives .meta {
  color: #666;
  font-size: 70%;
}

#home h1 {
  margin-top: 1em;
  font-size: 2em;
}

#home p {
  margin-top: 2.5em;
  font-size: 1.2em;
}

#donate h1 {
  margin-top: 1em;
  font-size: 2em;
}

#donate .donate-img-box {
  margin-top: 1.5em;
}

#donate .donate-img-box img {
  margin: 0.5em;
  width: 25em;
}

#donate p {
  margin-top: 3em;
}

/* And something else */
.fa-heart {
  color: #d43f57;
}

.copyright-mobile {
  display: none;
  font-size: 12px;
}

.copyright-mobile a {
  color: white;
}

/* APlayer */
.aplayer {
  background: #fff;
  margin: 5px;
  box-shadow:
    0 2px 2px 0 rgba(0, 0, 0, 0.07),
    0 1px 5px 0 rgba(0, 0, 0, 0.1);
  border-radius: 2px;
  overflow: hidden;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  line-height: normal;
  position: relative;
}

.aplayer * {
  box-sizing: content-box;
}

.aplayer svg {
  width: 100%;
  height: 100%;
}

.aplayer svg circle,
.aplayer svg path {
  fill: #fff;
}

.aplayer.aplayer-withlist .aplayer-info {
  border-bottom: 1px solid #e9e9e9;
}

.aplayer.aplayer-withlist .aplayer-list {
  display: block;
}

.aplayer.aplayer-withlist .aplayer-icon-order,
.aplayer.aplayer-withlist
  .aplayer-info
  .aplayer-controller
  .aplayer-time
  .aplayer-icon.aplayer-icon-menu {
  display: inline;
}

.aplayer.aplayer-withlrc .aplayer-pic {
  height: 90px;
  width: 90px;
}

.aplayer.aplayer-withlrc .aplayer-info {
  margin-left: 90px;
  height: 90px;
  padding: 10px 7px 0;
}

.aplayer.aplayer-withlrc .aplayer-lrc {
  display: block;
}

.aplayer.aplayer-narrow {
  width: 66px;
}

.aplayer.aplayer-narrow .aplayer-info,
.aplayer.aplayer-narrow .aplayer-list {
  display: none;
}

.aplayer.aplayer-narrow .aplayer-body,
.aplayer.aplayer-narrow .aplayer-pic {
  height: 66px;
  width: 66px;
}

.aplayer.aplayer-fixed {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0;
  z-index: 99;
  overflow: visible;
  max-width: 400px;
  box-shadow: none;
}

.aplayer.aplayer-fixed .aplayer-list {
  margin-bottom: 65px;
  border: 1px solid #eee;
  border-bottom: none;
}

.aplayer.aplayer-fixed .aplayer-body {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  margin: 0;
  z-index: 99;
  background: #fff;
  padding-right: 18px;
  transition: all 0.3s ease;
  max-width: 400px;
}

.aplayer.aplayer-fixed .aplayer-lrc {
  display: block;
  position: fixed;
  bottom: 10px;
  left: 0;
  right: 0;
  margin: 0;
  z-index: 98;
  pointer-events: none;
  text-shadow: -1px -1px 0 #fff;
}

.aplayer.aplayer-fixed .aplayer-lrc:after,
.aplayer.aplayer-fixed .aplayer-lrc:before {
  display: none;
}

.aplayer.aplayer-fixed .aplayer-info {
  -webkit-transform: scaleX(1);
  transform: scaleX(1);
  -webkit-transform-origin: 0 0;
  transform-origin: 0 0;
  transition: all 0.3s ease;
  border-bottom: none;
  border-top: 1px solid #e9e9e9;
}

.aplayer.aplayer-fixed .aplayer-info .aplayer-music {
  width: calc(100% - 105px);
}

.aplayer.aplayer-fixed .aplayer-miniswitcher {
  display: block;
}

.aplayer.aplayer-fixed.aplayer-narrow .aplayer-info {
  display: block;
  -webkit-transform: scaleX(0);
  transform: scaleX(0);
}

.aplayer.aplayer-fixed.aplayer-narrow .aplayer-body {
  width: 66px !important;
}

.aplayer.aplayer-fixed.aplayer-narrow .aplayer-miniswitcher .aplayer-icon {
  -webkit-transform: rotateY(0);
  transform: rotateY(0);
}

.aplayer.aplayer-fixed .aplayer-icon-back,
.aplayer.aplayer-fixed .aplayer-icon-forward,
.aplayer.aplayer-fixed .aplayer-icon-lrc,
.aplayer.aplayer-fixed .aplayer-icon-play {
  display: inline-block;
}

.aplayer.aplayer-fixed .aplayer-icon-back,
.aplayer.aplayer-fixed .aplayer-icon-forward,
.aplayer.aplayer-fixed .aplayer-icon-menu,
.aplayer.aplayer-fixed .aplayer-icon-play {
  position: absolute;
  bottom: 27px;
  width: 20px;
  height: 20px;
}

.aplayer.aplayer-fixed .aplayer-icon-back {
  right: 75px;
}

.aplayer.aplayer-fixed .aplayer-icon-play {
  right: 50px;
}

.aplayer.aplayer-fixed .aplayer-icon-forward {
  right: 25px;
}

.aplayer.aplayer-fixed .aplayer-icon-menu {
  right: 0;
}

.aplayer.aplayer-arrow .aplayer-icon-loop,
.aplayer.aplayer-arrow .aplayer-icon-order,
.aplayer.aplayer-mobile .aplayer-icon-volume-down {
  display: none;
}

.aplayer.aplayer-loading
  .aplayer-info
  .aplayer-controller
  .aplayer-loading-icon {
  display: block;
}

.aplayer.aplayer-loading
  .aplayer-info
  .aplayer-controller
  .aplayer-bar-wrap
  .aplayer-bar
  .aplayer-played
  .aplayer-thumb {
  -webkit-transform: scale(1);
  transform: scale(1);
}

.aplayer .aplayer-body {
  position: relative;
}

.aplayer .aplayer-icon {
  width: 15px;
  height: 15px;
  border: none;
  background-color: transparent;
  outline: none;
  cursor: pointer;
  opacity: 0.8;
  vertical-align: middle;
  padding: 0;
  font-size: 12px;
  margin: 0;
  display: inline-block;
}

.aplayer .aplayer-icon path {
  transition: all 0.2s ease-in-out;
}

.aplayer .aplayer-icon-back,
.aplayer .aplayer-icon-forward,
.aplayer .aplayer-icon-lrc,
.aplayer .aplayer-icon-order,
.aplayer .aplayer-icon-play {
  display: none;
}

.aplayer .aplayer-icon-lrc-inactivity svg {
  opacity: 0.4;
}

.aplayer .aplayer-icon-forward {
  -webkit-transform: rotate(180deg);
  transform: rotate(180deg);
}

.aplayer .aplayer-lrc-content {
  display: none;
}

.aplayer .aplayer-pic {
  position: relative;
  float: left;
  height: 66px;
  width: 66px;
  background-size: cover;
  background-position: 50%;
  transition: all 0.3s ease;
  cursor: pointer;
}

.aplayer .aplayer-pic:hover .aplayer-button {
  opacity: 1;
}

.aplayer .aplayer-pic .aplayer-button {
  position: absolute;
  border-radius: 50%;
  opacity: 0.8;
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.2);
  background: rgba(0, 0, 0, 0.2);
  transition: all 0.1s ease;
}

.aplayer .aplayer-pic .aplayer-button path {
  fill: #fff;
}

.aplayer .aplayer-pic .aplayer-hide {
  display: none;
}

.aplayer .aplayer-pic .aplayer-play {
  width: 26px;
  height: 26px;
  border: 2px solid #fff;
  bottom: 50%;
  right: 50%;
  margin: 0 -15px -15px 0;
}

.aplayer .aplayer-pic .aplayer-play svg {
  position: absolute;
  top: 3px;
  left: 4px;
  height: 20px;
  width: 20px;
}

.aplayer .aplayer-pic .aplayer-pause {
  width: 16px;
  height: 16px;
  border: 2px solid #fff;
  bottom: 4px;
  right: 4px;
}

.aplayer .aplayer-pic .aplayer-pause svg {
  position: absolute;
  top: 2px;
  left: 2px;
  height: 12px;
  width: 12px;
}

.aplayer .aplayer-info {
  margin-left: 66px;
  padding: 14px 7px 0 10px;
  height: 66px;
  box-sizing: border-box;
}

.aplayer .aplayer-info .aplayer-music {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  margin: 0 0 13px 5px;
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
  cursor: default;
  padding-bottom: 2px;
  height: 20px;
}

.aplayer .aplayer-info .aplayer-music .aplayer-title {
  font-size: 14px;
}

.aplayer .aplayer-info .aplayer-music .aplayer-author {
  font-size: 12px;
  color: #666;
}

.aplayer .aplayer-info .aplayer-controller {
  position: relative;
  display: flex;
}

.aplayer .aplayer-info .aplayer-controller .aplayer-bar-wrap {
  margin: 0 0 0 5px;
  padding: 4px 0;
  cursor: pointer !important;
  flex: 1;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-bar-wrap:hover
  .aplayer-bar
  .aplayer-played
  .aplayer-thumb {
  -webkit-transform: scale(1);
  transform: scale(1);
}

.aplayer .aplayer-info .aplayer-controller .aplayer-bar-wrap .aplayer-bar {
  position: relative;
  height: 2px;
  width: 100%;
  background: #cdcdcd;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-bar-wrap
  .aplayer-bar
  .aplayer-loaded {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  background: #aaa;
  height: 2px;
  transition: all 0.5s ease;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-bar-wrap
  .aplayer-bar
  .aplayer-played {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  height: 2px;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-bar-wrap
  .aplayer-bar
  .aplayer-played
  .aplayer-thumb {
  position: absolute;
  top: 0;
  right: 5px;
  margin-top: -4px;
  margin-right: -10px;
  height: 10px;
  width: 10px;
  border-radius: 50%;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  -webkit-transform: scale(0);
  transform: scale(0);
}

.aplayer .aplayer-info .aplayer-controller .aplayer-time {
  position: relative;
  right: 0;
  bottom: 4px;
  height: 17px;
  color: #999;
  font-size: 11px;
  padding-left: 7px;
}

.aplayer .aplayer-info .aplayer-controller .aplayer-time .aplayer-time-inner {
  vertical-align: middle;
}

.aplayer .aplayer-info .aplayer-controller .aplayer-time .aplayer-icon {
  cursor: pointer;
  transition: all 0.2s ease;
}

.aplayer .aplayer-info .aplayer-controller .aplayer-time .aplayer-icon path {
  fill: #666;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-time
  .aplayer-icon.aplayer-icon-loop {
  margin-right: 2px;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-time
  .aplayer-icon:hover
  path {
  fill: #000;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-time
  .aplayer-icon.aplayer-icon-menu,
.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-time.aplayer-time-narrow
  .aplayer-icon-menu,
.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-time.aplayer-time-narrow
  .aplayer-icon-mode {
  display: none;
}

.aplayer .aplayer-info .aplayer-controller .aplayer-volume-wrap {
  position: relative;
  display: inline-block;
  margin-left: 3px;
  cursor: pointer !important;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-volume-wrap:hover
  .aplayer-volume-bar-wrap {
  height: 40px;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-volume-wrap
  .aplayer-volume-bar-wrap {
  position: absolute;
  bottom: 15px;
  right: -3px;
  width: 25px;
  height: 0;
  z-index: 99;
  overflow: hidden;
  transition: all 0.2s ease-in-out;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-volume-wrap
  .aplayer-volume-bar-wrap.aplayer-volume-bar-wrap-active {
  height: 40px;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-volume-wrap
  .aplayer-volume-bar-wrap
  .aplayer-volume-bar {
  position: absolute;
  bottom: 0;
  right: 10px;
  width: 5px;
  height: 35px;
  background: #aaa;
  border-radius: 2.5px;
  overflow: hidden;
}

.aplayer
  .aplayer-info
  .aplayer-controller
  .aplayer-volume-wrap
  .aplayer-volume-bar-wrap
  .aplayer-volume-bar
  .aplayer-volume {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 5px;
  transition: all 0.1s ease;
}

.aplayer .aplayer-info .aplayer-controller .aplayer-loading-icon {
  display: none;
}

.aplayer .aplayer-info .aplayer-controller .aplayer-loading-icon svg {
  position: absolute;
  -webkit-animation: rotate 1s linear infinite;
  animation: rotate 1s linear infinite;
}

.aplayer .aplayer-lrc {
  display: none;
  position: relative;
  height: 30px;
  text-align: center;
  overflow: hidden;
  margin: -10px 0 7px;
}

.aplayer .aplayer-lrc:before {
  top: 0;
  height: 10%;
  background: linear-gradient(180deg, #fff 0, hsla(0, 0%, 100%, 0));
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ffffff", endColorstr="#00ffffff", GradientType=0);
}

.aplayer .aplayer-lrc:after,
.aplayer .aplayer-lrc:before {
  position: absolute;
  z-index: 1;
  display: block;
  overflow: hidden;
  width: 100%;
  content: " ";
}

.aplayer .aplayer-lrc:after {
  bottom: 0;
  height: 33%;
  background: linear-gradient(
    180deg,
    hsla(0, 0%, 100%, 0) 0,
    hsla(0, 0%, 100%, 0.8)
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#00ffffff", endColorstr="#ccffffff", GradientType=0);
}

.aplayer .aplayer-lrc p {
  font-size: 12px;
  color: #666;
  line-height: 16px !important;
  height: 16px !important;
  padding: 0 !important;
  margin: 0 !important;
  transition: all 0.5s ease-out;
  opacity: 0.4;
  overflow: hidden;
}

.aplayer .aplayer-lrc p.aplayer-lrc-current {
  opacity: 1;
  overflow: visible;
  height: auto !important;
  min-height: 16px;
}

.aplayer .aplayer-lrc.aplayer-lrc-hide {
  display: none;
}

.aplayer .aplayer-lrc .aplayer-lrc-contents {
  width: 100%;
  transition: all 0.5s ease-out;
  -webkit-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
  cursor: default;
}

.aplayer .aplayer-list {
  overflow: auto;
  transition: all 0.5s ease;
  will-change: height;
  display: none;
  overflow: hidden;
}

.aplayer .aplayer-list.aplayer-list-hide {
  max-height: 0 !important;
}

.aplayer .aplayer-list ol {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow-y: auto;
}

.aplayer .aplayer-list ol::-webkit-scrollbar {
  width: 5px;
}

.aplayer .aplayer-list ol::-webkit-scrollbar-thumb {
  border-radius: 3px;
  background-color: #eee;
}

.aplayer .aplayer-list ol::-webkit-scrollbar-thumb:hover {
  background-color: #ccc;
}

.aplayer .aplayer-list ol li {
  position: relative;
  height: 32px;
  line-height: 32px;
  padding: 0 15px;
  font-size: 12px;
  border-top: 1px solid #e9e9e9;
  cursor: pointer;
  transition: all 0.2s ease;
  overflow: hidden;
  margin: 0;
}

.aplayer .aplayer-list ol li:first-child {
  border-top: none;
}

.aplayer .aplayer-list ol li:hover {
  background: #efefef;
}

.aplayer .aplayer-list ol li.aplayer-list-light {
  background: #e9e9e9;
}

.aplayer .aplayer-list ol li.aplayer-list-light .aplayer-list-cur {
  display: inline-block;
}

.aplayer .aplayer-list ol li .aplayer-list-cur {
  display: none;
  width: 3px;
  height: 22px;
  position: absolute;
  left: 0;
  top: 5px;
  cursor: pointer;
}

.aplayer .aplayer-list ol li .aplayer-list-index {
  color: #666;
  margin-right: 12px;
  cursor: pointer;
}

.aplayer .aplayer-list ol li .aplayer-list-author {
  color: #666;
  float: right;
  cursor: pointer;
}

.aplayer .aplayer-notice {
  opacity: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  font-size: 12px;
  border-radius: 4px;
  padding: 5px 10px;
  transition: all 0.3s ease-in-out;
  overflow: hidden;
  color: #fff;
  pointer-events: none;
  background-color: #f4f4f5;
  color: #909399;
}

.aplayer .aplayer-miniswitcher {
  display: none;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  height: 100%;
  background: #e6e6e6;
  width: 18px;
  border-radius: 0 2px 2px 0;
}

.aplayer .aplayer-miniswitcher .aplayer-icon {
  height: 100%;
  width: 100%;
  -webkit-transform: rotateY(180deg);
  transform: rotateY(180deg);
  transition: all 0.3s ease;
}

.aplayer .aplayer-miniswitcher .aplayer-icon path {
  fill: #666;
}

.aplayer .aplayer-miniswitcher .aplayer-icon:hover path {
  fill: #000;
}

@-webkit-keyframes aplayer-roll {
  0% {
    left: 0;
  }

  to {
    left: -100%;
  }
}

@keyframes aplayer-roll {
  0% {
    left: 0;
  }

  to {
    left: -100%;
  }
}

@-webkit-keyframes rotate {
  0% {
    -webkit-transform: rotate(0);
    transform: rotate(0);
  }

  to {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn);
  }
}

@keyframes rotate {
  0% {
    -webkit-transform: rotate(0);
    transform: rotate(0);
  }

  to {
    -webkit-transform: rotate(1turn);
    transform: rotate(1turn);
  }
}

/* Hack for mobile */
@media (max-width: 768px) {
  /* Main */
  .right {
    overflow: hidden;
  }

  .left,
  .right {
    display: block;
    width: 100%;
    padding: 1em;
  }

  .left {
    border-radius: 5px 5px 0 0;
  }

  .left .menu {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin-top: 0;
  }

  .left .menu li {
    width: 50%;
    margin-top: 0.5em;
    display: inline-block;
  }

  .avatar {
    margin-top: -4em;
  }

  .avatar img {
    width: 75pt;
  }

  main {
    width: 100%;
    max-width: 22em;
  }

  main .content {
    display: block;
    margin: 5em 0 1em;
    width: 100%;
    height: 30em;
    overflow: visible;
  }

  footer {
    margin-bottom: 1em;
  }

  footer #hitokoto {
    font-size: 80%;
  }

  .copyright {
    display: none;
  }

  .copyright-mobile {
    display: block;
  }

  /* Sections */
  #contact h1 {
    margin-top: 0.3em;
    font-size: 2em;
  }

  #contact p {
    font-size: 60%;
  }

  #contact .items {
    margin-top: 1.3em;
  }

  #contact .items a {
    padding: 0.3em 0;
  }

  #contact .items a i {
    font-size: 2em;
    margin-top: 0.2em;
  }

  #contact .items a span {
    margin-top: 1em;
  }

  #archives h1 {
    margin-top: 0.2em;
    font-size: 1.5em;
  }

  #archives ul {
    margin-top: 0.5em;
  }

  #archives a {
    font-size: 75%;
  }

  #archives .meta {
    font-size: 60%;
  }

  #home h1 {
    margin-top: 0.2em;
    font-size: 1.5em;
  }

  #home p {
    margin-top: 3em;
    font-size: 1em;
  }

  #donate h1 {
    margin-top: 0.2em;
    font-size: 1.5em;
  }

  #donate .donate-img-box {
    margin: 1.3em auto 1em;
    max-width: 17em;
    max-height: 13.5em;
  }

  #donate .donate-img-box img {
    margin: 0.1em;
  }
}
